Skip to main content
`Ctrl`+`K`

# SNESLineSearchSetDamping

Sets the line search damping parameter.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetDamping(SNESLineSearch linesearch, PetscReal damping)

## Input Parameters

- linesearch - the line search context

- damping - The damping parameter

## Options Database Key

- -snes_linesearch_damping - the damping value

## Note

The `SNESLINESEARCHNONE` line search merely takes the update step scaled by the damping parameter. The use of the damping parameter in the `SNESLINESEARCHL2` and `SNESLINESEARCHCP` line searches is much more subtle; it is used as a starting point in calculating the secant step. However, the eventual step may be of greater length than the damping parameter. In the `SNESLINESEARCHBT` line search it is used as the maximum possible step length, as the `SNESLINESEARCHBT` line search only backtracks.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchGetDamping()`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages